package com.iamberry.wechat.tools;

import java.lang.annotation.Documented;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
/**
 * 校验的注解标识
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2017年2月22日
 */
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface ValidatorInterface {
	
	/**
	 * 校验当前字段和指定字段是否一致
	 * @return
	 */
	String equalsOtherField() default "";
	
	/**
	 * 效验是否为空
	 * @return
	 */
	String isNotNull() default "true";
	
	/**
	 * 校验某个字段是否复合传输的规则
	 * @return
	 */
	String validatorIsRule() default "";
	
	/**
	 * 校验字符串长度
	 */
	int [] fieldLengthScope() default {-1, -1};
	
	/**
	 * 是否启用本注解, true启动，false不启用
	 */
	boolean isEnable() default false;
	
}